data<- read.csv("DJIA_daily.csv", header=FALSE, skip=38)
head(data)

## for daily data-Unless the time series is very long, 
#the easiest approach is to simply set the frequency attribute to 7.

y <- ts(data[,2], start=c(2006,1), end=c(2015,12) ,frequency=7)
plot(y)

## When the time series is long enough to take in more than a year, then it may be necessary to allow for annual seasonality as well as weekly seasonality. In that case, 
#a multiple seasonal model such as TBATS is required.
y <- msts(data[,2], start=c(2006,1), end=c(2015,12), seasonal.periods=c(7,365.25))
# msts function works only with forecast package
# this captures weekly pattern as well as the longer annual pattern
# some additional year may be necessary
# for example in Turkish electricity data (JASA 2011), De Livera et al 
#used three seasonal periods : 7, 354.35 and 365.25. 
#The period 354.37 is the average length of the Islamic calendar.
plot(y)


