setwd("~/Downloads/ts_data_collection")
annual<- read.csv("annual-barley-yields-per-acre-in.csv",header=TRUE)
head(annual)
dim(annual)
names(annual)<- c("year", "yield") # change the column names
head(annual)
attach(annual)
plot(year, yield) # scatter plot
plot(year, yield, type="l")
plot(year, yield,type="l",  col="red")
## We would like to design a time series style data
# R creates time by itself, we need to supply starting and ending date
# time colum is not necessary if we know the range and frequency of data

# read the data without header
annual<- read.csv("annual-barley-yields-per-acre-in.csv",header=FALSE)
new_annual<- annual[,2] # remove the first column or select the second column only
head(new_annual)  # no column names
ts<-ts(new_annual, start=c(1884), end=c(1939), frequency=1 ) # frequency=1, annual data
head(ts)
is.ts(ts) # whether the data is in time series format or nor 

plot(ts)
plot(ts, col="blue") # colored graph
plot(ts, col="blue", xlab="Year", ylab="Annual Barley Yield") # labal x and y- axis
plot(ts, col="blue", xlab="Year", ylab="Annual Barley Yield", main=" Title", type="o") # labal and  "Title"

plot(ts, col="blue", xlab="Year", ylab="Annual Barley Yield", main=" Title", type="o") # time series with data bullets
plot(ts, col="blue", xlab="Year", ylab="Annual Barley Yield", main=" Title", type="o", pch=19) # pch is a style of bullet
# search "pch R " in google and try different sizes
#y = factor(cycle(ts))   # make (y)early factors
x<- seq(1884:1939)
trend = time(ts)-1910   # not necessary to "center" time, but the results look nicer
reg = lm(ts~0+trend+x, na.action=NULL)  ##the na.action statement is to retain time series attributes
summary(reg)
model.matrix(reg)
plot(ts, col="blue", xlab="Year", ylab="Annual Barley Yield", main=" Title", type="o", pch=19)
lines(fitted(reg), col="red")
